<?php

namespace Bydedi\Http\Event;

use Symfony\Component\EventDispatcher\Event;
use Symfony\Component\Templating\EngineInterface;

/**
 * Class HttpEvent
 * @package Bydedi\Http\Event
 */
class TemplateRenderEvent extends Event
{
    /**
     * The request the kernel is currently processing.
     *
     * @var EngineInterface
     */
    protected $engine;

    /**
     * @param EngineInterface $engine
     */
    public function __construct(EngineInterface $engine)
    {
        $this->engine = $engine;
    }

    /**
     * Returns engine
     *
     * @return EngineInterface
     *
     * @api
     */
    public function getEngine()
    {
        return $this->engine;
    }
}


