<?php

namespace Bydedi\Security\Event;

use Bydedi\Security\Role;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class PermissionDeniedEvent
 * @package Bydedi\Security\Event
 */
class RoleDeniedEvent extends SecurityEvent
{
    /**
     * @var Role
     */
    protected $role;

    /**
     * @param array $roles
     * @param Role $role
     * @param Request $request
     */
    public function __construct($roles, Role $role, Request $request)
    {
        parent::__construct($roles, $request);
        $this->role = $role;
    }

    /**
     * @return Role
     */
    public function getRole()
    {
        return $this->role;
    }
}
